Como instalar drivier nVidia ubuntu 7.04 sin internet....

––•(ByAlaN)•––

Lanero Reconocido
Se unió
8 Ene 2004
Mensajes
6,900
Wenas a todos... :) escribo estas lineas para pedir ayuda a ver si me ayudan a solucionar un probelmilla que tengo con Linux Ubuntu 7.04 32Bit.

El problema es que no tengo internet en mi casa porque se cayo un cable :S y quiero instalarle los driver a mi ubunu 7.04 y no he podido, baje los driver de www.nvidia.com y corri el comando

sudo sh nvidia.run (donde dice nvidia va el nombre del fichero y la direccion donde se encuentra)

Este me dice que k tengo como que actualizar algo y me baje un paquete .deb (creo que se llama common) y se los instale tenia como 47Mb... y no paso nada, ahora me dice que tengo que recompila el kernel y no tengo ni idea de como se hace esto....

Lo que quiero que me diga es exactamente los paquetes que tengo que bajar (recuerden que la pc donde tengo acceso tiene Windows y no linux :S), y que debo de hacer para compilar el Kernel :S ya que todo lo que trato no me funciona, otra cosa es que no no he podido hacer andar los videos :S ya le instale los codecs gstreamer para los mp3 pero para video no encuentro nada y no se como instalar los otros programas que viene en gz y gz2 :confused:

Cualquier ayuda es bienvenida ya que google y no encontre nada que me pueda ayudar y aqui una vez paso algo similar pero nunca se explico como se resolvio y cuales son los paquetes necesario... la otra cosa es que me gustaria que me dijera que necesito para instalar el compiz (XGL) y porque algunos paquetes .deb no se quieren instalar :confused:



SuerteX ::|
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Wenas a todos... :) escribo estas lineas para pedir ayuda a ver si me ayudan a solucionar un probelmilla que tengo con Linux Ubuntu 7.04 32Bit.

El problema es que no tengo internet en mi casa porque se cayo un cable :S y quiero instalarle los driver a mi ubunu 7.04 y no he podido, baje los driver de www.nvidia.com y corri el comando

sudo sh nvidia.run (donde dice nvidia va el nombre del fichero y la direccion donde se encuentra)

Este me dice que k tengo como que actualizar algo y me baje un paquete .deb (creo que se llama common) y se los instale tenia como 47Mb... y no paso nada, ahora me dice que tengo que recompila el kernel y no tengo ni idea de como se hace esto....

Lo que quiero que me diga es exactamente los paquetes que tengo que bajar (recuerden que la pc donde tengo acceso tiene Windows y no linux :S), y que debo de hacer para compilar el Kernel :S ya que todo lo que trato no me funciona, otra cosa es que no no he podido hacer andar los videos :S ya le instale los codecs gstreamer para los mp3 pero para video no encuentro nada y no se como instalar los otros programas que viene en gz y gz2 :confused:

Cualquier ayuda es bienvenida ya que google y no encontre nada que me pueda ayudar y aqui una vez paso algo similar pero nunca se explico como se resolvio y cuales son los paquetes necesario... la otra cosa es que me gustaria que me dijera que necesito para instalar el compiz (XGL) y porque algunos paquetes .deb no se quieren instalar :confused:



SuerteX ::|

Necesita build-essential, linux-restricted-modules (según la versión de su kernel, esta la obtiene con el comando "uname -r"). Cuando le pida que necesita compilar el driver según el kernel, dele que sí, eso se hará automáticamente.
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Ok si no me equivico la version 7.04 32Bit que tengo es la festy y bajo los paquetes de aqui http://packages.ubuntu.com/feisty/ , pero no encuentro el que se llama linux-restricted-modules :S donde lo consigo?



SuerteX ;)

Dele "all packages" para verlos todos, puede que esté en backports y no en el repositorio oficial, dele en esa categoría a ver.

De todos modos si está conectado a Internet puede iniciar Ubuntu con un driver provisional nv o vesa, instalar, ensayar configuraciones hasta que le funcione. Para detener el modo gráfico en cualquier momento hágalo ejecutando el script "/etc/init.d/gdm stop", cuando instale el driver y configure el /etc/X11/xorg.conf y pruebe inciando con "/etc/init.d/gdm start" ...
 

––•(ByAlaN)•––

Lanero Reconocido
Se unió
8 Ene 2004
Mensajes
6,900
Ok ya consegui el paquete con la opcion de busqueda (Search package directories) =)

Ya tengo los paquetes:
- Build-Essential 11.3 (build-essential_11.3_i386.deb)
- Linux-Restricted-Modules (linux-restricted-modules-2.6.20-15-generic_2.6.20.5-15.20_i386.deb)

Ya tengo los paquetes :D, ahora le digo lo que me pasa cuando intento instalar el driver son el linux-restricted-modules y creo que no pude instalar el build-essential :S.....

Por cierto la luego de hacer:
- sudo uname -r

Me arrojo la version del kernel 2.6.2.15-generic esa version del linux-restricted-modules fue la que baje.

Cuando salgo del X... osea hago lo siguiente:
- Ctrl+Alt+F2
- sudo /etc/init.d/gdm stop
- sudo sh NVIDIA-Linux-x86-100.14.19-pkg1.run

Al ejecutar esto me sale el asistente de guia le doi aceptar y luego me sale esto...

No precompile kernel interface was found to match your kernel; would you like tje installer to attemp to download a kernel interface for you kernel from the NVIDIA ftpp site (ftp://download.nvidia.com)?

Yes or No, le doi que "No"

No precompiled kernel interface was found match you kernel; this means that the installer will need to compile a new kernel interface.

Le doy a "OK" (Es el unico que hay).

ERROR: You not appear to have libc header files installed on you system. Please install your distributions libc development package.

Le doy a "OK" (Es el unico que hay).

ERROR: Instalation has failed. Please see the file 'var/log/nvidia-installer.log' for details. You may find suggestions on fixing instalation problems in the README avaliable on the linux driver download page at www.nvidia.com

Le doy a "OK" (Es el unico que hay).


Ahi se acaba todo... ahora que he bajado el linux-restricted-modules que tiene el gc++ (o algo asi como el compilador C++ de linux :confused:) creo que se podra instalar =)... lo del /etc/X11/xorg.conf creo que lo podre configurar ya que lo he hecho antes aunque con internet en ubuntu ;)... pero no creo que luego de instalados los driver tenga problema para configurar el archivo y ponerle la resolucion de mi monitor de 17" que solo en la seccion de resoluciones tengo que ponerle "1280x1024"...

Por cierto me podrias decir como uso este archivo? http://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-1.0.tar.gz o para que sirve??

En el site dice esto: Type "sh NVIDIA-Linux-x86-100.14.19-pkg1.run" to install the driver. NVIDIA now provides a utility to assist you with configuration of your X config file. Please see Chapter 3 of the README or run 'man nvidia-xconfig' for details on usage. Instructions for those wishing to edit their X config file by hand can also be found in the README.

Como se usan o instalan los archivos gz y gz2?? tengo un reproductor con los codecs para ver video pero no se como instalarlo...

PD: Esta preguntas la hago y escribo todo esto para que quede a modo de guia para muchos aqui y en otros lados que esten pasando por el mismo problema que yo que no tengo por el momento internet en mi casa, soy un novato en linux y quiero instalar mis drivers....

Otra cosa que paquetes necesito para isntalar el compiz, XGL o Beryl?? :nervios:

SuerteX ;)
 

––•(ByAlaN)•––

Lanero Reconocido
Se unió
8 Ene 2004
Mensajes
6,900
A ver ya que estamos aqui y me acorde (o mejor dicho encontre el error que lo grabe :muerto:) lo posteo a ver porque no se puede instalar el paquete build-essential :S

PHP:
alan@alan-ubuntu:~/Desktop$ sudo dpkg -i build-essential_11.3_i386.deb
 Seleccionando el paquete build-essential previamente no seleccionado.
 (Leyendo la base de datos ...  
 88500 ficheros y directorios instalados actualmente.)
 Desempaquetando build-essential (de build-essential_11.3_i386.deb) ...
 dpkg: problemas de dependencias impiden la configuración de build-essential:
 build-essential depende de libc6-dev | libc-dev; sin embargo:
  El paquete `libc6-dev' no está instalado.
  El paquete `libc-dev' no está instalado.
 build-essential depende de g++ (>= 4:4.1.1); sin embargo:
  El paquete `g++' no está instalado.
 build-essential depende de dpkg-dev (>= 1.13.5); sin embargo:
  El paquete `dpkg-dev' no está instalado.
dpkg: error al procesar build-essential (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 build-essential
alan@alan-ubuntu:~/Desktop$


Ahora que me fijo dice que necesita dpkg-dev o posterior asi que baje dpkg-dev_1.13.24ubuntu6_all.deb para instalarlo y tambien g++ 4:4.1.1 o posterior asi que baje g++_4.1.2-1ubuntu1_i386.deb

Esta noche pruebo :D

SuerteX :|
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Build Essential viene con el CD-ROM de instalación, simplemente hágale

Código:
apt-get install build-essential

Con eso le pedirá que inserte el CD-ROM, lo introduce, le da enter y listo.
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Lo que le está saliendo es claramente un error de dependencias, yo le sugiero el CD-ROM para que de una vez le instale las dependencias necesarias, sin necesidad de irlas descargando.
 

––•(ByAlaN)•––

Lanero Reconocido
Se unió
8 Ene 2004
Mensajes
6,900
Ya lo hice man..... 1,000 mil gracias man....

Ya lo hice instale los drivers ;)...lo que hice fue que use el cd pero no como me dijo :S el
sudo apt-get install build-essential
no me funciono asi que con el gestor de paquetes introduje el CD y le di a buscar "install build-essential" lo seleccione y lo instale... =)


Ya dije que lo haria a modo guia asi que aqui va =)...

Introducir el CD.... y si no le sale el recuadro para el asistente de paquetes lo abre los los menus (Sistema > Administración > Gestor de paquetes Synapctic) esto es la forma manual sino me equivoco...



- Aqui le damos a buscar y escribimos "install build-essential" (sin comillas), le damos a buscar y cuando aparezca lo seleccionamos.

- Lo seleccionamos y le damos al boton "Aplicar". (Los paquetes deberian de instalarse ;))

Esto es lo que al menos yo hice :)

Abri la consola y escribi lo siguiente (Que es lo mas comun que aparece en internet).

- sudo gedit /etc/default/linux-restricted-modules-common

Editamos este archivo y dejamos esta seccion así
- DISABLED_MODULES=”nv”

Luego presionamos CTRL+ALT+F2

No logeamos, y si los drivers descargados lo copiamos en el Desktop (que eso fue lo que to hice y le cambie el nombre a NVIDIA.run para hacerlo mas facil :|)
- cd Desktop
- sudo sh NVIDIA.run

Me sale el mismo recuadro de la otra vez.

No precompile kernel interface was found to match your kernel; would you like tje installer to attemp to download a kernel interface for you kernel from the NVIDIA ftpp site (ftp://download.nvidia.com)?

Yes or No, le doi que "No"

No precompiled kernel interface was found match you kernel; this means that the installer will need to compile a new kernel interface.

Le doy a "OK" (Es el unico que hay).

Y luego el procede a la instalacion, cuando finaliza dice que la instalcion fue satisfactoria (o algo asi no me acuerdo :S le damos a ok para salir), queda modo consola
- sudo reboot

Y cuando reinicia me sale el logo de nVIDIA =)...


/*****************************************************************************************************************************************/

De aqui en adelante son preguntas nuevas ;)

Hasta ahora todo bien pero lo que no he podido es activar los efectos del escritorio :'( y el kiba-dock no se, pero me da un error al tratar de instalarlo :S, alguna sugerencia man.... ya que ha sido mi salvador en esta parte de mi historia con linux..... =)

Y otra cosa como instalar el Beryl sin internet :S la misma historia con otra trama...



SuerteX & TnX :D
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Qué extraño que no funcionara con el comando, la única razón sería que el CD-ROM no estaba agregado al la lista del repositorio, entonces inició el modo gráfico metió el CD y le cargó el repositorio ... bueno, son variables que pueden darse, lo importante es que captó la idea y logró solucionar el problema.
 

Rachmaninov

Lanero Reconocido
Se unió
21 Mar 2007
Mensajes
1,101
Man como le hago para los efectos y el Beryl sin internet tambien ? :nervios:



SueretX :nervios:

Baja las librerías necesarias, las instala y hace las respectivas configuraciones. Investigue un poco cuales son y las coloca en el foro para que le sirva la información a otros :D ...

Otra opción es instalar la última versión de Ubuntu (Gutsy), ya viene con lo de efectos instalado.
 

THPS3

Lanero Activo
Se unió
13 Nov 2007
Mensajes
26
Man como le hago para los efectos y el Beryl sin internet tambien ? :nervios:



SueretX :nervios:

ubuntu 7.10 no trae beryl porlomenos a mí, como en preferencias de apariencias, solo te aparecen las opciones: (ninguno, normal, extra). tienes que bajar el paquete: (compizconfig-settings-manager) de synaptic, y en preferencias de apariencias te aparecerá una cuarta opcion que es: (personalizado), se personaliza desde: (sistema → preferencias → advanced desktop efects manager), en el cuál se puede activar el cubo, las ventanas gelatinosas, etc.

esto no responde como acerlo sin internet, pero almenos sirve si queres llevar tu torre a un ciber
 

THPS3

Lanero Activo
Se unió
13 Nov 2007
Mensajes
26
Olvidense de todo; logre instalar todos los drivers!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
En este momento estoy probando los efectos y son lo mejor que hay!!!!!!!!!!!!!

SINCERAMENTE ES MUCHO MEJOR QUE WINDWOS EN ASPECTO, en funciones y compatibilidad no se porque aún no e experimentado mucho, PERO A PRIMERA VISTA CUALQUIERA LO DESEARIA MUCHO MÁS QUE WINDOWS

---------------------------


voy a explicar que fue lo que ise para instalar los drivers:

* Fui a synaptic: (sistema → administracion → gestor de paquetes synaptic).

* Busque; los paquetes nvidia-glx y nvidia-glx-new, y los borré, tambien borre otros paquetes con nombres paresidos.

* Fui a origenes de software:
(sistema → administracion → origenes de software) y puse un tic en todos los casilleros y lo cerre para que se instalen.

* Después fui a preferencias de escritorio y simplemente lo puse los efectos, empezó a instalar los drivers y esta vez no me dio el error de reemplazar archivos.

------------------------------------

el error era porque lla lo tenia instalado pero no andaba nada, al instalar las cosas nuevos eliminando las viejas me andubo.
que estupido que soy!
 

––•(ByAlaN)•––

Lanero Reconocido
Se unió
8 Ene 2004
Mensajes
6,900
ubuntu 7.10 no trae beryl porlomenos a mí, como en preferencias de apariencias, solo te aparecen las opciones: (ninguno, normal, extra). tienes que bajar el paquete: (compizconfig-settings-manager) de synaptic, y en preferencias de apariencias te aparecerá una cuarta opcion que es: (personalizado), se personaliza desde: (sistema → preferencias → advanced desktop efects manager), en el cuál se puede activar el cubo, las ventanas gelatinosas, etc.

esto no responde como acerlo sin internet, pero almenos sirve si queres llevar tu torre a un ciber

Man yo tengo la version 7.04 porque la version 7.10 AM64 Alternate me da problemas :S y lo de internet a parte de que no tengo los drivers de mi tarjeta de red (que es una nVidia integrada :|).

Lo de instalar los driver lo hago tambien porque quiero aprender a hacerlo sin tener internet (a parte de que la tarjeta de red no me lo permite...), asi que ya se como instalar los driver sin internet e hice un post porque quizas muchas personas en internet tuvieron el mismo problema que yo y por eso lo hice ;)... ahora vengo a ver como le hago para instalar el Beryl+Compiz para con el XGL poner el cubo y luego instalar la barrita de Kiba-Dock y todo esto tratare de hacerlo sin internet =)



SuerteX ;)
 
Arriba